@import "_variables-colors.scss";

/**** Standard Buttons ****/

%ri-btn-default {
  display: flex;
  align-items: center;
  font-size: .8rem;
  white-space: nowrap;
  text-decoration: none;
  width: fit-content;
  height: 1.75rem;
  padding: 0 .8rem 0 .8rem;
  border-radius: 5px;

  &:focus {
    outline-width: 2px;
    outline-color: $bluecoolvivid-lightest;
  }

  &:disabled,
  &.modal-button-disabled {
    cursor: default;
  }
}

.ri-btn-accessory,
.ri-button-accessory,
.ri-btn-ok,
.ri-btn-gray {
  @extend %ri-btn-default;

  &:enabled {
    color: $white-lightest;
    background: linear-gradient(0deg, $greywarm-meddark 0%, $greywarm-meddark 30%, $greywarm-light 100%);
    border: 0.2px solid $greywarm-darkest;
  }

  &:hover {
    color: $greywarm-darkest;
    background: linear-gradient(0deg, $greywarm-lighter 0%, $greywarm-lighter 30%, $white-darker 100%);
    border: 0.2px solid $greywarm-darkest;
  }

  &:active {
    color: $white-lightest;
    background: linear-gradient(0deg, $greywarm-meddark 0%, $greywarm-meddark 30%, $greywarm-darkest 100%);
    border: 0.2px solid $greywarm-darkest;
  }

  &:disabled {
    color: $greywarm-medlight;
    background: linear-gradient(0deg, $white-medium 0%, $white-medium 30%, $white-lightest 100%);
    border: 0.2px solid $greywarm-lighter;
  }
}

.ri-btn-cancel,
.modal-button-cancel {
  @extend %ri-btn-default;

  &:enabled {
    color: $greywarm-darker;
    background: $white-lightest;
    border: 0.2px solid $greywarm-darker;
  }

  &:hover {
    background: transparent linear-gradient(0deg, $greywarm-medlight 0%, $greywarm-medlight 30%, $greywarm-light 100%) 0% 0% no-repeat padding-box;
    color: #5B6266;
  }

  &:active {
    color: $white-lightest;
    background: transparent linear-gradient(0deg, #727B80 0%, #5B6266 100%) 0% 0% no-repeat padding-box;
    outline-width: 2px;
    outline-color: $bluecoolvivid-lightest;
  }

  &:disabled,
  &.modal-button-disabled {
    background: $white-lightest;
    color: $greywarm-medium;
    border: 0.2px solid $greywarm-medium;
  }
}

.ri-btn-delete {
  @extend %ri-btn-default;

  font-weight: bold;

  background: transparent linear-gradient(0deg, #E64545 0%, $red-light 100%) 0% 0% no-repeat padding-box;
  border: 0.5px solid $pure-red;
  color: $white-lightest;

  &:hover {
    background: transparent linear-gradient(0deg, #FF6666 0%, $red-lighter 100%) 0% 0% no-repeat padding-box;
    color: $pure-red-dark;
  }

  &:active {
    color: $white-lightest;
    background: transparent linear-gradient(0deg, #E64545 0%, $pure-red-dark 100%) 0% 0% no-repeat padding-box;
  }
}

.ri-btn-main {
  @extend %ri-btn-default;

  font-size: 1rem;

  color: $white-lightest;
  background: linear-gradient(0deg, $bluewarm-meddark 0%, $bluewarm-meddark 30%, $bluewarm-medium 100%);
  border: 0.2px solid $greywarm-darkest;

  &:hover {
    color: $white-lightest;
    background: linear-gradient(0deg, $bluewarm-dark 0%, $bluewarm-dark 30%, $bluewarm-meddark 100%);
  }
}

.ri-btn-save,
.modal-button-save {
  @extend %ri-btn-default;

  &:enabled {
    color: $white-lightest;
    background: linear-gradient(0deg, $bluewarmvivid-lightest 0%, $bluewarmvivid-lightest 30%, $bluewarmvividfade-dark 100%);
    border: 0.2px solid $bluewarmvivid-meddark;
  }

  &:hover {
    color:#00334D;
    background: transparent linear-gradient(0deg, $bluewarmvivid-lightest 0%, $bluewarmvividfade-meddark 100%) 0% 0% no-repeat padding-box;
  }

  &:active {
    background: linear-gradient(0deg, $bluewarmvivid-light 0%, $bluewarmvivid-light 30%, $bluewarmvivid-medium 100%);
    outline-width: 2px;
  }

  &:disabled,
  &.modal-button-disabled {
    color: $greywarm-medlight;
    background: linear-gradient(0deg, $bluewarmvividfade-light 0%, $bluewarmvividfade-light 30%, $bluewarmvividfade-medlight 100%);
    border: 0.2px solid $bluewarm-medium;
  }
}

/* ---------------------------- GRADIENT BUTTONS ---------------------------- */
.grey-1g:disabled {
  background: linear-gradient(
    0deg,
    $white-medium 0%,
    $white-medium 30%,
    $white-lightest 100%
  );
  color: $grey-light;
  border: 0.1px solid $grey-lighter;
}
.grey-1g:enabled {
  background: linear-gradient(
    0deg,
    $grey-meddark 0%,
    $grey-meddark 30%,
    $grey-light 100%
  );
  color: $white-lightest;
  border: 0.1px solid $grey-darkest;
}
.grey-2g:enabled {
  background: linear-gradient(
    0deg,
    $white-darkest 0%,
    $white-darkest 30%,
    $white-lightest 100%
  );
  color: $grey-dark;
  border: 0.1px solid $grey-meddark;
}
.grey-1g:hover {
  background: linear-gradient(
    0deg,
    $grey-lighter 0%,
    $grey-lighter 30%,
    $white-darker 100%
  );
  color: $grey-darkest;
  border: 0.1px solid $grey-darkest;
}
.grey-1g:active {
  background: linear-gradient(
    0deg,
    $grey-meddark 0%,
    $grey-meddark 30%,
    $grey-darkest 100%
  );
  color: $white-lightest;
  border: 0.1px solid $grey-darkest;
}
/* ---------------------------- */
.secondary-1g:disabled {
  background: linear-gradient(
    0deg,
    $bluewarmvividfade-medlight 0%,
    $bluewarmvividfade-medlight 30%,
    $bluewarmvividfade-light 100%
  );
  color: $greywarm-medium;
  border: 0.1px solid $bluewarm-medium;
}
.secondary-1g:enabled {
  background: linear-gradient(
    0deg,
    $bluewarmvivid-lighter 0%,
    $bluewarmvivid-lighter 30%,
    $bluewarmvividfade-darkest 100%
  );
  color: $white-lightest;
  border: 0.1px solid $bluewarmvivid-meddark;
}
.secondary-1g:hover {
  background: linear-gradient(
    0deg,
    $bluewarmvivid-lightest 0%,
    $bluewarmvivid-lightest 30%,
    $bluewarmvividfade-meddark 100%
  );
  color: $bluewarmvivid-darker;
  border: 0.1px solid $bluewarmvivid-meddark;
}
.secondary-1g:active {
  background: linear-gradient(
    0deg,
    $bluewarmvivid-light 0%,
    $bluewarmvivid-light 30%,
    $bluewarmvivid-medium 100%
  );
  color: $white-lightest;
  border: 0.1px solid $bluewarmvivid-meddark;
}
/* ---------------------------- */
.primary-1g:disabled {
  background: linear-gradient(
    0deg,
    $bluewarm-light 0%,
    $bluewarm-light 30%,
    $bluewarm-lighter 100%
  );
  color: $greywarm-medium;
  border: 0.1px solid $bluewarm-meddark;
}
.primary-1g:enabled {
  background: linear-gradient(
    0deg,
    $bluewarm-dark 0%,
    $bluewarm-dark 30%,
    $bluewarm-meddark 100%
  );
  color: $white-lightest;
  border: 0.1px solid $bluewarm-darkest;
}
.primary-2g:enabled {
  background: linear-gradient(
    0deg,
    $bluewarm-meddark 0%,
    $bluewarm-meddark 30%,
    $bluewarm-medium 100%
  );
  color: $white-lightest;
  border: 0.1px solid $bluewarm-darkest;
}
.primary-1g:hover {
  background: linear-gradient(
    0deg,
    $bluewarm-meddark 0%,
    $bluewarm-meddark 30%,
    $bluewarm-medlight 100%
  );
  color: $bluewarm-darker;
  border: 0.1px solid $bluewarm-dark;
}
.primary-1g:active {
  background: linear-gradient(
    0deg,
    $bluewarm-dark 0%,
    $bluewarm-dark 30%,
    $bluewarm-darker 100%
  );
  color: $white-lightest;
  border: 0.1px solid $bluewarm-darkest;
}
/* ---------------------------- */
.greywarm-1g:disabled {
  background: linear-gradient(
    0deg,
    $greywarm-light 0%,
    $greywarm-light 30%,
    $greywarm-lightest 100%
  );
  color: $greywarm-medium;
  border: 0.1px solid $greywarm-meddark;
}
.greywarm-1g:enabled {
  background: linear-gradient(
    0deg,
    $greywarm-darker 0%,
    $greywarm-darker 30%,
    $greywarm-meddark 100%
  );
  color: $white-lightest;
  border: 0.1px solid $greywarm-darkest;
}
.greywarm-1g:hover {
  background: linear-gradient(
    0deg,
    $greywarm-medium 0%,
    $greywarm-medium 30%,
    $greywarm-light 100%
  );
  color: $greywarm-darkest;
  border: 0.1px solid $greywarm-darkest;
}
.greywarm-1g:active {
  background: linear-gradient(
    0deg,
    $greywarm-darker 0%,
    $greywarm-darker 30%,
    $greywarm-darkest 100%
  );
  color: $white-lightest;
  border: 0.1px solid $greywarm-darkest;
}
/* ---------------------------- */
.delete-1g:disabled {
  background: linear-gradient(
    0deg,
    $red-light 0%,
    $red-light 30%,
    $red-lightest 100%
  );
  color: $grey-light;
  border: 0.1px solid $red-medlight;
}
.delete-1g:enabled {
  background: linear-gradient(
    0deg,
    $red-meddark 0%,
    $red-meddark 30%,
    $red-lighter 100%
  );
  color: $white-lightest;
  border: 0.1px solid $pure-red;
}
.delete-1g:hover {
  background: linear-gradient(
    0deg,
    $red-medium 0%,
    $red-medium 30%,
    $red-lightest 100%
  );
  color: $red-darkest;
  border: 0.1px solid $pure-red;
}
.delete-1g:active {
  background: linear-gradient(
    0deg,
    $red-meddark 0%,
    $red-meddark 30%,
    $red-darkest 100%
  );
  color: $white-lightest;
  border: 0.1px solid $pure-red;
}
/* ------------------------------ FLAT BUTTONS ------------------------------ */
.grey-1f:disabled {
  background: $white-light;
  color: $grey-light;
  border: solid 1px $grey-lighter;
}
.grey-1f:enabled {
  background: $grey-medium;
  color: $white-lightest;
  border: solid 1px $grey-darkest;
}
.grey-2f:enabled {
  background: $white-dark;
  color: $grey-dark;
  border: solid 1px $grey-meddark;
}
.grey-1f:hover {
  background: $grey-lightest;
  color: $grey-darkest;
  border: solid 1px $grey-darkest;
}
.grey-1f:active {
  background: $grey-darkest;
  color: $white-lightest;
  border: solid 1px $grey-darkest;
}
/* ---------------------------- */
.secondary-1f:disabled {
  background: $bluewarmvividfade-light;
  color: $greywarm-medium;
  border: solid 1px $bluewarm-medium;
}
.secondary-1f:enabled {
  background: $bluewarmvivid-lightest;
  color: $white-lightest;
  border: solid 1px $bluewarmvivid-meddark;
}
.secondary-1f:hover {
  background: $bluewarmvividfade-darker;
  color: $bluewarmvivid-darker;
  border: solid 1px $bluewarmvivid-meddark;
}
.secondary-1f:hover {
  background: $bluewarmvivid-medium;
  color: $white-lightest;
  border: solid 1px $bluewarmvivid-meddark;
}
/* ---------------------------- */
.primary-1f:disabled {
  background: $bluewarm-lighter;
  color: $greywarm-medium;
  border: solid 1px $bluewarm-meddark;
}
.primary-1f:enabled {
  background: $bluewarm-meddark;
  color: $white-lightest;
  border: solid 1px $bluewarm-darkest;
}
.primary-2f:enabled {
  background: $bluewarm-medium;
  color: $white-lightest;
  border: solid 1px $bluewarm-darkest;
}
.primary-1f:hover {
  background: $bluewarm-medlight;
  color: $bluewarm-darker;
  border: solid 1px $bluewarm-dark;
}
.primary-1f:active {
  background: $bluewarm-darker;
  color: $white-lightest;
  border: solid 1px $bluewarm-darkest;
}
/* ---------------------------- */
.greywarm-1f:disabled {
  background: $greywarm-lighter;
  color: $greywarm-medium;
  border: solid 1px $greywarm-meddark;
}
.greywarm-1f:enabled {
  background: $greywarm-dark;
  color: $white-lightest;
  border: solid 1px $greywarm-darkest;
}
.greywarm-1f:hover {
  background: $greywarm-medlight;
  color: $greywarm-darkest;
  border: solid 1px $greywarm-darkest;
}
.greywarm-1f:active {
  background: $greywarm-darkest;
  color: $white-lightest;
  border: solid 1px $greywarm-darkest;
}
/* ---------------------------- */
.delete-1f:disabled {
  background: $pure-red-light;
  color: $grey-light;
  border: solid 1px $red-medlight;
}
.delete-1f:enabled {
  background: $red-meddark;
  color: $white-lightest;
  border: solid 1px $pure-red;
}
.delete-1f:hover {
  background: $red-medlight;
  color: $red-darkest;
  border: solid 1px $pure-red;
}
.delete-1f:active {
  background: $red-darker;
  color: $white-lightest;
  border: solid 1px $pure-red;
}
/* ------------------------------ OPEN BUTTONS ------------------------------ */
.grey-1o:disabled {
  background: $white-lightest;
  color: $grey-light;
  border: solid 1px $grey-lighter;
}
.grey-1o:enabled {
  background: $white-lightest;
  color: $grey-darker;
  border: solid 1px $grey-darker;
}
.grey-1o:hover {
  background: $grey-medium;
  color: $white-lightest;
  border: solid 1px $grey-darkest;
}
.grey-1o:active {
  background: $white-lightest;
  color: $black-dark;
  border: solid 1px $black-darker;
}
/* ---------------------------- */
.secondary-1o:disabled {
  background: $white-lightest;
  color: $greywarm-medium;
  border: solid 1px $bluewarmvividfade-medium;
}
.secondary-1o:enabled {
  background: $white-lightest;
  color: $bluewarmvivid-lightest;
  border: solid 1px $bluewarmvivid-lightest;
}
.secondary-1o:hover {
  background: $bluewarmvivid-lightest;
  color: $white-lightest;
  border: solid 1px $bluewarmvivid-lighter;
}
.secondary-1o:active {
  background: $white-lightest;
  color: $bluewarmvivid-medium;
  border: solid 1px $bluewarmvivid-medium;
}
/* ---------------------------- */
.primary-1o:disabled {
  background: $white-lightest;
  color: $greywarm-medium;
  border: solid 1px $bluewarm-medium;
}
.primary-1o:enabled {
  background: $white-lightest;
  color: $bluewarm-dark;
  border: solid 1px $bluewarm-dark;
}
.primary-1o:hover {
  background: $bluewarm-dark;
  color: $white-lightest;
  border: solid 1px $bluewarm-darker;
}
.primary-1o:active {
  background: $white-lightest;
  color: $bluewarm-darker;
  border: solid 1px $bluewarm-darker;
}
/* ---------------------------- */
.greywarm-1o:disabled {
  background: $white-lightest;
  color: $greywarm-medium;
  border: solid 1px $greywarm-medium;
}
.greywarm-1o:enabled {
  background: $white-lightest;
  color: $greywarm-darker;
  border: solid 1px $greywarm-darker;
}
.greywarm-1o:hover {
  background: $greywarm-dark;
  color: $white-lightest;
  border: solid 1px $greywarm-darker;
}
.greywarm-1o:active {
  background: $white-lightest;
  color: $greywarm-darkest;
  border: solid 1px $greywarm-darkest;
}
/* ---------------------------- */
.delete-1o:disabled {
  background: $white-lightest;
  color: $red-light;
  border: solid 1px $red-light;
}
.delete-1o:enabled {
  background: $white-lightest;
  color: $pure-red;
  border: solid 1px $pure-red;
}
.delete-1o:hover {
  background: $pure-red;
  color: $white-lightest;
  border: solid 1px $red-dark;
}
.delete-1o:active {
  background: $white-lightest;
  color: $red-darkest;
  border: solid 1px $pure-red;
}
